<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  
  <title>Prisma Animations</title>

  <link href="https://celcomdesign.gitlab.io/system/bootstrap/dist/css/prisma.css" rel="stylesheet" type="text/css"/>
  <script src="https://unpkg.com/@lottiefiles/lottie-player@latest/dist/lottie-player.js"></script>
  
  <style>
    .anim{
      width: 200px;
      display: inline-block;
      text-align: center;
      border: 1px solid rgb(0,0,0,0.1);    
      border-radius: 3px;
      padding: 15px;
      margin: 5px;
      margin-left: 0px;
      font-size: 13px;
    }

  </style>
</head>

<body>
    <div class="jumbotron mb-0">
        <div class="container">
            <h1 class="font-weight-bold">
                Prisma Animations <sup class="h6 text-muted">ver.</sup>
            </h1>
            <p class="lead text mb-2">Prisma animation library with Unibrand Prisma.</p>
                <p class="text-muted">
                Latest ver.
                <span class="px-1">&#8729;</span>
                <a href="#Generic">Animations</a>
                <span class="px-1">&#8729;</span>
                <a href="#Usage">Usage</a>
                <span class="px-1">&#8729;</span>
                <a href="#">GitLab repo</a>
            </p>
        </div>
    </div>

    <main>
        <nav class="container-fluid d-none d-md-flex flex-column position-fixed col-md-3 col-lg-2 h-100 bg-transparent">
          <div class="h-100 mx-auto">
            <h4>Prisma<br>Animation</h4>
            <ul class="nav section-nav flex-column">
              <li class="nav-item"><button class="btn btn-link py-1" onclick="scroller('Generic')">Generic</button></li>
              <li class="nav-item"><button class="btn btn-link py-1" onclick="scroller('UI')">UI</button></li>
              <p>
              <li class="nav-item"><button class="btn btn-link py-1" onclick="scroller('Usage')">Usage</button></li>
              <li class="nav-item"><button class="btn btn-link py-1" onclick="scroller('JSON')">JSON</button></li>
              <li class="nav-item"><button class="btn btn-link py-1" onclick="scroller('GIF')">GIF</button></li>
            </ul>
          </div>
        </nav>

        <section class="container-fluid mb-5" id="Generic">
            <div class="row">
                <div class="offset-md-3 offset-lg-2 col-md-8 col-lg-10">
                    <div class="py-4">
                        <h2>Generic</h2>
                    </div>
                    <div class="row">
                        <div class="col-12">
                            <div class="anim">
                              <lottie-player src="./json/generic/coming-soon.json" speed="1" loop autoplay></lottie-player><br>coming-soon
                            </div>
                            <div class="anim">
                              <lottie-player src="./json/generic/error.json" speed="1" loop autoplay></lottie-player><br>error
                            </div>
                            <div class="anim">
                              <lottie-player src="./json/generic/fail.json" speed="1" loop autoplay></lottie-player><br>fail
                            </div>
                            <div class="anim">
                              <lottie-player src="./json/generic/long-loading.json" speed="1" loop autoplay></lottie-player><br>long-loading
                            </div>
                            <div class="anim">
                              <lottie-player src="./json/generic/maintenance.json" speed="1" loop autoplay></lottie-player><br>maintenance
                            </div>
                            <div class="anim">
                              <lottie-player src="./json/generic/page-404.json" speed="1" loop autoplay></lottie-player><br>page-404
                            </div>
                            <div class="anim">
                              <lottie-player src="./json/generic/success.json" speed="1" loop autoplay></lottie-player><br>success
                            </div>
                            <div class="anim">
                              <lottie-player src="./json/generic/connection.json" speed="1" loop autoplay></lottie-player><br>connection
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>

        <section class="container-fluid mb-5" id="UI">
            <div class="row">
                <div class="offset-md-3 offset-lg-2 col-md-8 col-lg-10">
                    <div class="py-4">
                        <h2>UI</h2>
                    </div>
                    <div class="row">
                        <div class="col-12">
                            <div class="anim">
                              <lottie-player src="./json/ui/loading.json" speed="1" loop autoplay></lottie-player><br>loading
                            </div>
                            <div class="anim">
                              <lottie-player src="./json/ui/loading-2.json" speed="1" loop autoplay></lottie-player><br>loading-2
                            </div>
                            <div class="anim">
                              <lottie-player src="./json/ui/bug.json" speed="1" loop autoplay></lottie-player><br>bug
                            </div>
                            <div class="anim">
                              <lottie-player src="./json/ui/crack.json" speed="1" loop autoplay></lottie-player><br>crack
                            </div>
                            <div class="anim">
                              <lottie-player src="./json/ui/no-connection.json" speed="1" loop autoplay></lottie-player><br>no-connection
                            </div>
                            <div class="anim">
                              <lottie-player src="./json/ui/package.json" speed="1" loop autoplay></lottie-player><br>package
                            </div>
                            <div class="anim">
                              <lottie-player src="./json/ui/warning.json" speed="1" loop autoplay></lottie-player><br>warning
                            </div>
                            <div class="anim">
                              <lottie-player src="./json/ui/done.json" speed="1" loop autoplay></lottie-player><br>done
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>

        <section class="container-fluid mb-5" id="Usage">
          <div class="row">
            <div class="offset-md-3 offset-lg-2 col-md-8 col-lg-9">

              <div class="py-4">
                <h2>Usage</h2>
              </div>

              <div class="row">
                <div class="col-md-4">
                  <h5>JS</h5>
                  <p>
                    Place the minified lottie-player <code>&lt;script&gt;</code> inside your <code>&lt;head&gt;</code> section. This is <b>ONLY</b> applicable if you want to use the JSON file approach.
                  </p>
                </div>
                <div class="col-md-8">
                  <div class="border p-3">
                    <code>
                        <p>
                          <span>&lt;script src="https://unpkg.com/@lottiefiles/lottie-player@latest/dist/lottie-player.js"&gt;&lt;/script&gt;</span>
                        </p>
                      </code>
                  </div>
                </div>
              </div>

              <div class="row" style="padding-top:3em;">
                <div class="col-md-4" id="JSON">
                  <h5>JSON</h5>
                  <p>
                    This is the recommended approach to use the animation. Insert the JSON file path inside the <code>&lt;lottie-player&gt;</code> tags.
                  </p>
                </div>
                
                <div class="col-md-8">
                  <div class="border p-3">
                      <lottie-player src="./json/ui/bug.json" style="width:180px; height:180px;" speed="1" loop autoplay></lottie-player>
                  </div>
                  <br>
                  <code>
                    &lt;lottie-player src="./json/ui/bug.json" style="width:180px; height:180px;" speed="1" loop autoplay&gt;&lt;/lottie-player&gt;
                  </code>
                </div>
              </div>

              <div class="row" style="padding-top:3em; padding-bottom:3em;">
                <div class="col-md-4" id="GIF">
                  <h5>GIF</h5>
                  <p>
                    Another approach to use the animation is with a GIF format. Simply insert the GIF file path inside the <code>&lt;img&gt;</code> tags.
                  </p>
                </div>
                
                <div class="col-md-8">
                  <div class="border p-3">
                      <img src="./gif/page-404.gif" width="180" height="180" alt="page-404" title="page-404">
                  </div>
                  <br>
                  <code>
                    &lt;img src="./gif/page-404.gif" width="180" height="180" alt="" title="page-404"&gt;
                  </code>
                </div>
              </div>

            </div>
          </div>
    </section>

    <script>
      // Page nav scroll
      function scroller(id) {
        var element = document.getElementById(id);
        element.scrollIntoView({
          behavior: 'smooth'
        });
      }
    </script>
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ho+j7jyWK8fNQe+A12Hb8AhRq26LrZ/JpcUGGOn+Y7RsweNrtN/tE3MoK7ZeZDyx" crossorigin="anonymous"></script>
</body>
</html>
